OGRE-Next: Ogre::AtmosphereComponent Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::AtmosphereComponent Class Referenceabstract

`#include <OgreAtmosphereComponent.h>`

Inheritance diagram for Ogre::AtmosphereComponent:
[legend]

## Public Member Functions
virtual | ~AtmosphereComponent ()
virtual void | _update (SceneManager *sceneManager, Camera *camera)=0
| Called when the scene manager wants to render and needs the component to update its buffers.
virtual uint32 | bindConstBuffers (CommandBuffer *commandBuffer, size_t slotIdx)=0
| Tells the component to bind the buffers Returns getNumConstBuffersSlots.
virtual uint32 | getNumConstBuffersSlots () const =0
| How many additional const buffers are required in our Hlms integration.
virtual uint32 | preparePassHash (Hlms *hlms, size_t constBufferSlot)=0
| Returns getNumConstBuffersSlots.
virtual bool | providesHlmsCode () const
| Indicates Hlms implementations this component has Hlms integration.

## Constructor & Destructor Documentation

## ◆ ~AtmosphereComponent()

virtual Ogre::AtmosphereComponent::~AtmosphereComponent | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _update()

virtual void Ogre::AtmosphereComponent::_update | ( | SceneManager * | sceneManager,
|  | Camera * | camera )
| pure virtual

Called when the scene manager wants to render and needs the component to update its buffers.

Implemented in Ogre::AtmosphereNpr.

## ◆ bindConstBuffers()

virtual uint32 Ogre::AtmosphereComponent::bindConstBuffers | ( | CommandBuffer * | commandBuffer,
|  | size_t | slotIdx )
| pure virtual

Tells the component to bind the buffers Returns getNumConstBuffersSlots.

Implemented in Ogre::AtmosphereNpr.

## ◆ getNumConstBuffersSlots()

virtual uint32 Ogre::AtmosphereComponent::getNumConstBuffersSlots | ( |  | ) | const
| pure virtual

How many additional const buffers are required in our Hlms integration.

Implemented in Ogre::AtmosphereNpr.

## ◆ preparePassHash()

virtual uint32 Ogre::AtmosphereComponent::preparePassHash | ( | Hlms * | hlms,
|  | size_t | constBufferSlot )
| pure virtual

Returns getNumConstBuffersSlots.

Implemented in Ogre::AtmosphereNpr.

## ◆ providesHlmsCode()

virtual bool Ogre::AtmosphereComponent::providesHlmsCode | ( |  | ) | const
| inlinevirtual

Indicates Hlms implementations this component has Hlms integration.

The documentation for this class was generated from the following file:

- OgreAtmosphereComponent.h